import _Card from "antd/es/card";
import { createSchemaField } from '@formily/react';
import { Input, NumberPicker, Select, Form, FormItem, FormLayout, FormGrid, FormCollapse, ArrayTable, Switch, Radio, Space, ArrayCollapse, ArrayItems, DatePicker, Checkbox } from '@formily/antd-v5';
import { DrawerSetter, FormSlotSetter, FormCard, FormRow, FormSwitchObject, NodeChildrenArrayTable, ArrayAdvanceTable, ArrayRuleItems, ValidatorSetter, RuleGroup, ExpressionSetter, MonacoInput, Text, SelectInput, MixedSetter } from '../components';
export var SchemaField = createSchemaField({
  components: {
    Input: Input,
    InputNumber: NumberPicker,
    Select: Select,
    Switch: Switch,
    Radio: Radio,
    Checkbox: Checkbox,
    Card: _Card,
    FormCard: FormCard,
    FormRow: FormRow,
    FormItem: FormItem,
    FormLayout: FormLayout,
    FormGrid: FormGrid,
    FormCollapse: FormCollapse,
    ArrayCollapse: ArrayCollapse,
    ArrayItems: ArrayItems,
    ArrayTable: ArrayTable,
    Space: Space,
    DrawerSetter: DrawerSetter,
    FormSwitchObject: FormSwitchObject,
    NodeChildrenArrayTable: NodeChildrenArrayTable,
    ArrayAdvanceTable: ArrayAdvanceTable,
    FormSlotSetter: FormSlotSetter,
    ValidatorSetter: ValidatorSetter,
    ArrayRuleItems: ArrayRuleItems,
    RuleGroup: RuleGroup,
    ExpressionSetter: ExpressionSetter,
    MonacoInput: MonacoInput,
    Text: Text,
    SelectInput: SelectInput,
    DatePicker: DatePicker,
    MixedSetter: MixedSetter
  }
});
export { Form };