"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.SchemaField = void 0;
var _card = _interopRequireDefault(require("antd/lib/card"));
var _react = require("@formily/react");
var _antdV = require("@formily/antd-v5");
exports.Form = _antdV.Form;
var _components = require("../components");
var SchemaField = exports.SchemaField = (0, _react.createSchemaField)({
  components: {
    Input: _antdV.Input,
    InputNumber: _antdV.NumberPicker,
    Select: _antdV.Select,
    Switch: _antdV.Switch,
    Radio: _antdV.Radio,
    Checkbox: _antdV.Checkbox,
    Card: _card["default"],
    FormCard: _components.FormCard,
    FormRow: _components.FormRow,
    FormItem: _antdV.FormItem,
    FormLayout: _antdV.FormLayout,
    FormGrid: _antdV.FormGrid,
    FormCollapse: _antdV.FormCollapse,
    ArrayCollapse: _antdV.ArrayCollapse,
    ArrayItems: _antdV.ArrayItems,
    ArrayTable: _antdV.ArrayTable,
    Space: _antdV.Space,
    DrawerSetter: _components.DrawerSetter,
    FormSwitchObject: _components.FormSwitchObject,
    NodeChildrenArrayTable: _components.NodeChildrenArrayTable,
    ArrayAdvanceTable: _components.ArrayAdvanceTable,
    FormSlotSetter: _components.FormSlotSetter,
    ValidatorSetter: _components.ValidatorSetter,
    ArrayRuleItems: _components.ArrayRuleItems,
    RuleGroup: _components.RuleGroup,
    ExpressionSetter: _components.ExpressionSetter,
    MonacoInput: _components.MonacoInput,
    Text: _components.Text,
    SelectInput: _components.SelectInput,
    DatePicker: _antdV.DatePicker,
    MixedSetter: _components.MixedSetter
  }
});